# Generated from fault_tolerant_router-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fault_tolerant_router

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Multiple uplinks Linux routing supervising daemon
License: GPL-2
URL: https://github.com/drsound/fault_tolerant_router
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A daemon, running in background on a Linux router or firewall, monitoring the
state of multiple internet uplinks and changing the routing accordingly.
LAN/DMZ internet traffic (outgoing connections) is load balanced between the
uplinks using Linux multipath routing. The daemon monitors the state of the
uplinks by routinely pinging well known IP addresses (Google public DNS
servers, etc.) through each outgoing interface: once an uplink goes down, it
is excluded from the multipath routing, when it comes back up, it is included
again. An uplink may be assigned to a priority group: lower priority uplinks
will only be used if all higher priority ones are down. That's useful to only
use pay-per-traffic uplinks if no regular uplink is working. All of the
routing changes are notified to the administrator by email. Fault Tolerant
Router is well tested and has been used in production for several years, in
several sites. See https://github.com/drsound/fault_tolerant_router for full
documentation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/fault_tolerant_router
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fault_tolerant_router.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.2.0-1
- Initial package
